/* Table of contents
––––––––––––––––––––––––––––––––––––––––––––––––––
- Base Styles
- Utilities
- Typography
- Links
- Buttons
- Grid
- Header Nav Bar
- Home page BODY Content
- Hero Section
- Thumbnails
- Image Modal Overlay
- About / Contact Us
- Footer

- Media Queries
*/
/*
https://demo.templatemonster.com/demo/104693.html
*/
/* Base Styles
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
:root {
  /* Palette */
  --palette-dark: #232a34;
  --palette-mid: #303740;
  --palette-light: #ebebeb;

  --palette-accent: #ffab00;
  
  --text-light: #F7F6F2;
  --text-dark: #1e293b;
}
*, *::before, *::after {
  box-sizing: border-box;
}
/* NOTE
html is set to 62.5% so that all the REM measurements throughout Skeleton
are based on 10px sizing. So basically 1.5rem = 15px :) */
html {
    font-size: 62.5%;
    font-size: 1.4rem; /* 1.4rem = 14px */
    line-height: 1.4;
    font-weight: 300;
    font-family: "Nunito Sans", Helvetica, sans-serif;
    color: #ECF0F1; 
    scroll-behavior: smooth;
}
body {
    width: 100% !important;
    max-width: 100% !important;
    background: var(--palette-mid);
}

/* Utilities
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.u-full-width {
    width: 100%;
    box-sizing: border-box; }
.u-max-full-width {
    max-width: 100%;
    box-sizing: border-box; }
.u-pull-right {
    float: right; }
.u-pull-left {
    float: left; }
.u-center {
    margin-left: auto !important;
    margin-right: auto !important;
    text-align: center !important; }
.u-hidden {
    display: none; 
}
.u-cf {
    clear: both; 
}


/* Typography
–––––––––––––––––––––––––––––––––––––––––––––––––– */ 
h1, h2, h3, h4, h5, h6 {
    text-rendering: optimizelegibility;
    margin-top: 0;
    margin-bottom: 1.5rem;
    font-weight: 600; }
h1 { font-size: 3.8rem; line-height: 1.2;  letter-spacing: -.1rem;}
h2 { font-size: 3.4rem; line-height: 1.25; letter-spacing: -.1rem; }
h3 { font-size: 2.9rem; line-height: 1.3;  letter-spacing: -.1rem; }
h4 { font-size: 2.3rem; line-height: 1.35; letter-spacing: -.08rem; }
h5 { font-size: 1.7rem; line-height: 1.5;  letter-spacing: -.05rem; }
h6 { font-size: 1.4rem; line-height: 1.6;  letter-spacing: 0; }

/* Larger than phone or tablet */
@media (min-width: 550px) {
    h1 { font-size: 3.8rem; }
    h2 { font-size: 3.4rem; }
    h3 { font-size: 2.9rem; }
    h4 { font-size: 2.3rem; }
    h5 { font-size: 1.7rem; }
    h6 { font-size: 1.4rem; }
}

p {
    margin-top: 0; 
    font-size: 1.4rem;
    text-rendering: optimizelegibility;
}

/* Links
–––––––––––––––––––––––––––––––––––––––––––––––––– */
a {
    text-decoration: none;
    color: var(--text-dark); }
a:hover {
  text-decoration: none;
    color: var(--text-light); } 


/* Buttons
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.button,
button,  
input[type="button"] {
    color: var(--text-light) !important;
    background-color: transparent !important;
    border: 2px solid var(--palette-dark) !important; 
    border-radius: 6px;}
    
.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary {
    color: var(--text-light) !important;
    background-color: var(--palette-mid) !important;
    border-color: var(--palette-dark) !important; }
    
.button.button-primary:hover,
button.button-primary:hover,
input[type="submit"].button-primary:hover,
input[type="reset"].button-primary:hover,
input[type="button"].button-primary:hover,
.button.button-primary:focus,
button.button-primary:focus,
input[type="submit"].button-primary:focus,
input[type="reset"].button-primary:focus,
input[type="button"].button-primary:focus {
    color: var(--text-dark) !important;
    font-weight: 600;
    background-color: var(--palette-accent) !important;
    border-color: var(--palette-dark) !important; }


/* Grid
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.grid-container {
    display: grid;
    width: 100%;
    height: auto;
    margin: 0 auto;
    grid-template-columns: repeat(auto-fit, minmax(min(280px, 100%), 1fr));
    gap: 0.75rem;
}
.item{
    width: auto;
    min-width: 0;
    position: relative;
    margin-bottom: 0.25rem;
}
.grid-container-About {
    display: grid;
    width: 100%;
    height: auto;
    margin: 0 auto;
    grid-template-columns: 30% 70%;
    gap: 2rem;
}


/* Header Nav Bar
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
header {
    /*border-bottom: 1px solid #a1a6ac;*/
    background-color: var(--palette-dark);
    color: var(--text-light);
    height: 3rem;
}
header li, a{
    list-style: none;
    text-decoration: none;
}
.navbar {
    display: flex;
    justify-content: space-between;
    vertical-align: middle;
    align-items: center;
    padding: 0rem;
}
.nav-menu {
    margin: 0;
}
.nav-item {
    transition: 1.0 ease;
    margin: 0 2rem;
    float: left;
    vertical-align: middle;
}
.nav-logo-mobile{
    width: 100%;
    height: 64px;
    display: none;
}
.nav-link{
    font-size: 0.8rem;
    font-weight: 400;
    color: var(--text-light);
}
.nav-link:hover{
    color: var(--text-light);
    border-bottom: 2px solid var(--palette-accent);
}
.nav-logo-box {
    margin-left: 1rem;
    height: 2.5rem;
    width: 2.5rem;
}
.nav-logo {
    width: 100%;
    transition: transform 0.5s ease-in-out;
}
.nav-logo:hover {
    width: 100%;
    opacity: 0.95;
    transform: rotate(5deg);
}
.hamburger {
    display: none;
    cursor: pointer;
}
.bar {
    display: block;
    width: 28px;
    height: 2px;
    margin: 7px auto;
    margin-right: 1.5rem;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: var(--text-light);
}


/* Home page BODY Content
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.content {
    width: 90%;
    max-width: 1400px !important;
    height: 100%;
    margin: 0 auto;
    background: transparent;
}

/* Hero Section
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.heroSection{
    height: auto;
    width: 100%;
    display:flex;
	align-items:center;
    position: relative;
    background: var(--palette-mid);
    overflow: hidden;
} 
.heroBackground{
    position: relative;
    width: 100%;
    min-height: 500px;
    aspect-ratio: 2.3 / 1;
}
.hero-BG_Code{
    position: absolute;
    width: 40%;
    min-width: 440px;
    left: calc(50% - 5%); 
    opacity: 0.6;
    transform: translateX(-50%);
    transition:
        opacity 1.0s ease,
        transform 1.2s ease;
}
.hero-BG_Design{
    position: absolute;
    width: 40%;
    min-width: 440px;
    left: calc(50% + 5%); 
    opacity: 0.3;
    transform: translateX(-50%); 
    transition:
        opacity 1.0s ease,
        transform 1.2s ease;
}
.hero-Logo{
    pointer-events: none;
    position: absolute;
    width: 21%;
    min-width: 240px;
    left: calc(50%); 
    transform: translateX(-50%); 
    transition: transform 1.5s ease;
}
.hero-TextBox{
    position: absolute;
    width: 100%;
    min-width: 240px;
    left: calc(50%); 
    transform: translateX(-50%); 
    bottom: 20%;
}

.code-Box{
    width: auto;
    max-width: 256px !important;
    float:left;
    padding: 1rem 0;
    margin-left: 6rem;
    text-align: left;
    transition: 1.5s ease;
    color: var(--text-light);
}
.design-Box{
    width: auto;
    max-width: 256px !important;
    float:right;
    padding: 1rem 0;
    margin-right: 6rem;
    text-align: right;
    transition: 1.5s ease;
    color: var(--text-light);
}
.code-Box:hover{
    transform: translateX(64px);
    color: var(--text-light);
}
.code-Box:hover .desc-header{
    color: var(--palette-accent);
}
.design-Box:hover{
    transform: translateX(-64px);
    color: var(--text-light);
}
.design-Box:hover .desc-header{
    color: var(--palette-accent);
}

.desc-header{
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 0.5rem;
}
.desc-text{
    display: block;
    font-size: 0.9rem;
}




/* Thumbnails
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.thumbSection{
    width: 100%;
    min-height: 0px;
    padding: 0.5rem;
    padding-bottom: 2.5rem;
    background: var(--palette-dark);
    color: var(--text-light);
}
.thumbSection_Header{
    margin: 0.5rem;
    /*color: var(--palette-accent);*/
}
.thumb{
    margin: 0;
    height: auto;
    padding: 0.5rem;
    padding-bottom: 1rem;
    background: var(--palette-mid);
    transition: transform 0.3s ease;
    overflow: hidden; 
}
.thumb_Link{
    cursor: pointer;
    text-decoration: none;
    color: var(--text-light);
    overflow: hidden; 
}
.thumb_Link:hover{
    text-decoration: none;
    color: var(--palette-accent);
}
.thumb_Img{
    width: 100%;
    transform: translateY(-4px) scale(1.05);
    transition: 0.5s ease;
}
.thumb_Img:hover{
    transform: translateY(-0px) scale(1.2);
}
.thumb_Header{   
    margin: 0.5rem 0 0 0;
    font-size: 1.2rem;
}
.thumb_Text{
    margin: 0.25rem 0 0 0;
    font-size: 0.9rem;
}


/* Image Modal Overlay
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.modalOverlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: var(--palette-dark);
    z-index:999;
    opacity:0;
    visibility: hidden;
    transition:opacity .25s ease;
    display: flex;
    justify-content: center; 
    align-items: center;
}
.modalOverlay.open{
    opacity:1;
    visibility:visible;
}
.modalContainer{
    position:relative;
    width:min(1200px,90vw);
    height:auto;
    background: var(--palette-mid);
    display: flex;
    overflow: hidden;
}
.carousel-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
    width: 100%;
}
.carousel-slide {
    display:flex;
    flex-direction:column;
    min-width:100%;
    height:100%;
}
.modalImage{
    max-width:100%;
    max-height:100%;
    width:auto;
    height:auto;
    object-fit:contain;
    margin: 2rem;
}
.overlay-bottom{
    flex:0 0 80px;
    padding:2rem;
    background-color: rgb(from var(--palette-dark) r g b / 0.8);
    padding: 0.5rem;
}
.overlay-bottom p{
    font-size: 1rem;
    text-align: center;
    vertical-align: middle;
}




/* About / Contact Us
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
.contentAboutContact {
    position: relative;
    width: 90%;
    max-width: 900px !important;
    min-height: 80vh !important;
    margin: 0 auto;
    padding: 2rem 1rem;
}
.imageBackground-about{
    position: absolute;
    padding: 0;
    margin: 0;
    inset: 0;
    content: "";
    background-image: url("/images/CrowtasticLogo_WebBG_Code_Cropped.png");
    background-size: 75%;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1;
    opacity: 0.15;
}
.imageBackground-contact{
    position: absolute;
    padding: 0;
    margin: 0;
    inset: 0;
    content: "";
    background-image: url("/images/CrowtasticLogo_WebBG_Design_Cropped.png");
    background-size: 75%;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1;
    opacity: 0.2;
    
}
input{
    width: 100%;
    background-color: rgb(from var(--palette-dark) r g b / 0.75);
    border-radius: 6px;
    border: 3px solid rgb(from var(--palette-light) r g b / 0.1);
    margin-bottom: 1rem;
    padding: 0.1rem 0.5rem;
    color: var(--text-light);
}
input:focus{
    border: 3px solid var(--palette-accent) !important;
    outline: none;
}
textarea{
    width: 100%;
    height: 8rem;
    background-color: rgb(from var(--palette-dark) r g b / 0.75);
    border-radius: 6px;
    border: 3px solid rgb(from var(--palette-light) r g b / 0.1);
    margin-bottom: 1rem;
    padding: 0.1rem 0.5rem;
    color: var(--text-light);
    resize: none;
}
textarea:focus{
    border: 3px solid var(--palette-accent) !important;
    outline: none;
}
.about-box p{
    font-size: 1rem;
}





/* Footer
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
footer{
    width: 100%;
    background-color: var(--palette-dark);
    color: var(--text-light);
    height: 6rem;
}


/* Media Queries
–––––––––––––––––––––––––––––––––––––––––––––––––– */  
/* Smaller Screen PC */
@media (max-width: 1300px) {
    .code-Box{
        margin-left: 1.5rem;
    }
    .design-Box{
        margin-right: 1.5rem;
    }
}

/* Smaller than PC */
@media (max-width: 1100px) {
    .code-Box{
        max-width: 220px !important;
        margin-left: 0.5;
    }
    .design-Box{
        max-width: 220px !important;
        margin-right: 0.5;
    }
    .code-Box:hover{
        transform: translateX(0);
    }
    .design-Box:hover{
        transform: translateX(0);
    }
    .desc-header{
        font-size: 2.0rem;
    }
    .desc-text{
        font-size: 0.75rem;
    }
}

/* Smaller than tablet */
@media (max-width: 768px) {
    .content {
        width: 100% !important;
    }

    /* Nav Menu Styling */
    .nav-menu {
        position: fixed;
        left: -100%;
        flex-direction: column;
        background-color: transparent;
        height: 100%;
        text-align: center;
        transition: 0.3s;
        z-index: 9999999;
    }
    .nav-menu.active {
        padding: 2rem 1rem;
        background-color: var(--palette-dark);
        left: 0;
        inset: 0;
    }
    .nav-item {
        width: 100%;
        margin: 1.5rem auto;
        text-align: center;
    }
    .nav-link {
        font-size: 2rem;
        text-align: center;
        margin-left: auto !important;
        margin-right: auto !important;
    }
    .nav-menu.active .nav-logo-mobile{
        width: 100%;
        min-height: 160px;
        display: block;
        margin-bottom: 1rem;
    }
    .nav-logo-mobile-image{
        width: 60%;
        min-width: 160px;
        max-width: 180px;
        margin: 0 auto;
    }
    .hamburger {
        display: block;
        z-index: 99999999;
    }
    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }
    .hamburger.active .bar:nth-child(1) {
        transform: translateY(9px) rotate(45deg);
    }
    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-9px) rotate(-45deg);
    }

    .code-Box{
        max-width: 200px !important;
        margin-left: 16px;
    }
    .design-Box{
        max-width: 200px !important;
        margin-right: 16px;
    }
    .desc-header{
        font-size: 1.8rem;
    }
    .desc-text{
        font-size: 0.7rem;
    }

}

/* Smaller than phone */
@media (max-width: 550px) {
    .grid-container-About {
        grid-template-columns: 1fr;
    }
    .item{
        margin-bottom: 0.5rem;
    }
    .heroBackground{
        min-height: 600px;
    }
    .hero-BG_Code{
        min-width: 300px;
    }
    .hero-BG_Design{
        min-width: 260px;
    }
    .hero-Logo{
        width: 40%;
        min-width: 180px;
        opacity: 0.85;
    }
    .hero-TextBox{
        bottom: -1rem;
    }
    .code-Box{
        width: 43%;
    }
    .design-Box{
        width: 43%;
    }
    .desc-header{
        font-size: 1.4rem;
        color: var(--palette-accent);
    }
    .desc-text{
        font-size: 0.85rem;
    }
    .modalContainer{
        width: 95vw;
        height: auto;
    }

}
